import request from '@/utils/request'
import requestFile from '@/utils/requestfile'
import qs from 'qs'

/**
 * 在线考试试卷管理
 */

/**
 * page
 * size
 * 查询考试题库分类管理
 */
export function getExamLibraryCategory(params) {
  return request({
    url: 'api/onlineExamLibraryCategory',
    method: 'get',
    params
  })
}

/**
 * name     string
 * 在线考试题库分类
 */
export function postExamLibraryCategory(data) {
  return request({
    url: 'api/onlineExamLibraryCategory',
    method: 'post',
    data
  })
}

/**
 * name     string
 * 在线考试题库分类
 */
export function putExamLibraryCategory(data) {
  return request({
    url: 'api/onlineExamLibraryCategory',
    method: 'put',
    data
  })
}

/**
 * ids   []
 * 删除在线试题库分类
 */
export function deleteExamLibraryCategory(data) {
  return request({
    url: 'api/onlineExamLibraryCategory',
    method: 'delete',
    data
  })
}

/**
 * 题库管理
 */

/**
 * page
 * size
 * sort
 * 获取题库
 */
export function getExamLibrary(params) {
  return request({
    url: 'api/onlineExamLibrary',
    method: 'get',
    params
  })
}

/**
 * categoryId,
 * id: '',
 * name: '',
 * 新增题库
 */
export function postExamLibrary(data) {
  return request({
    url: 'api/onlineExamLibrary',
    method: 'post',
    data
  })
}

/**
 * categoryId,
 * id
 * name
 * 修改题库
 */
export function putExamLibrary(data) {
  return request({
    url: 'api/onlineExamLibrary',
    method: 'put',
    data
  })
}

/**
 * ids
 * 删除题库
 */
export function deleteExamLibrary(data) {
  return request({
    url: 'api/onlineExamLibrary',
    method: 'delete',
    data
  })
}
